Subject: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2015 11:13:26 +0300

> Date: Sat, 24 Oct 2015 01:04:08 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > There is a lot in Dired that I think should be exposed/documented
> > > better/more.  By default we don't even load dired-x.el or
> > > dired-aux.el, and they provide lots of stuff useful even for
> > > beginners, including lots of menus.
> > >
> > > I would be in favor of our loading both of these Dired libraries
> > > by default.  There is lots in Dired that users can benefit from,
> > > but they are typically unaware of it.
> > 
> > Aren't the commands and options there autoloaded?
> 
> No.
> 
> > If not, we could autoload them, which would solve the
> > visibility problem without bloating the minimal memory
> > footprint too much.  Patches welcome.
> 
> No, it would not solve the visibility or discoverability
> problem, IMO.  Users are much more likely to find and use
> the commands and keys they provide when they are (a) in
> the menus and (b) documented in `C-h m'.
> 
> As for the minimal footprint: dired.el is not even loaded
> by default (`C-x d' is autoloaded).

You said above that we don't load dired-x and dired-aux, so I thought
you meant this in contrast with dired.el itself which is preloaded.  I
should have checked, sorry.

But if none of them is preloaded, what is it that we do with dired.el
and don't do with the other two packages?